ICU 77.1: U_HEADER_ONLY_NAMESPACE::USetCodePointIterator Class Reference

ICU 77.1 77.1

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetCodePointIterator Class Reference

Iterator returned by USetCodePoints. More...

`#include <uset.h>`

## Public Member Functions
| USetCodePointIterator (const USetCodePointIterator &other)=default
bool | operator== (const USetCodePointIterator &other) const
bool | operator!= (const USetCodePointIterator &other) const
UChar32 | operator* () const
USetCodePointIterator & | operator++ ()
| Pre-increment. More...
USetCodePointIterator | operator++ (int)
| Post-increment. More...

## Friends
class | USetCodePoints

## Detailed Description

Iterator returned by USetCodePoints.

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1341 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetCodePointIterator()

U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::USetCodePointIterator | ( | const USetCodePointIterator & | other | ) |
| default

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator!= | ( | const USetCodePointIterator & | other | ) | const
| inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1357 of file uset.h.

References operator==().

## ◆ operator*()

UChar32 U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator* | ( |  | ) | const
| inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1360 of file uset.h.

## ◆ operator++() [1/2]

USetCodePointIterator& U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1366 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, and uset_getItem().

Referenced by operator++().

## ◆ operator++() [2/2]

USetCodePointIterator U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1387 of file uset.h.

References operator++().

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetCodePointIterator::operator== | ( | const USetCodePointIterator & | other | ) | const
| inline

Draft:
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1347 of file uset.h.

Referenced by operator!=().

The documentation for this class was generated from the following file:

- common/unicode/uset.h